module Speedflow
  module Plugin
    module Jira
      # Formatter
      module Formatter
        # Issue formatter
        module IssueFormatter
          # Public: To create issue.
          #
          # project_key   - Project Key.
          # title         - Issue title.
          # issue_type_id - Issue type ID.
          #
          # Returns Hash of fields.
          def self.to_create(project_key, title, issue_type_id)
            {
              'fields' => {
                'project'   => { 'key' => project_key.to_s },
                'summary'   => title.to_s,
                'issuetype' => { 'id' => issue_type_id.to_s }
              }
            }
          end

          # Public: To assignee.
          #
          # assignee_name - Assignee name.
          #
          # Returns Hash of fields.
          def self.to_assignee(assignee_name)
            {
              'fields' => {
                'assignee' => {
                  'name' => assignee_name.to_s
                }
              }
            }
          end
        end
      end
    end
  end
end
